#
# lay1.rb
#   $Id: lay1.rb,v 1.2 2000/11/18 19:03:37 keiko Exp $
#


require "narray"
require "numru/dcl"
include NumRu
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::sgopn iws

DCL::slmgn(0.1, 0.1, 0.05, 0.05)
DCL::sldiv('Y', 3, 2)
DCL::slmgn(0.05, 0.05, 0.05, 0.05)

for i in 1..12
  DCL::sgfrm
  DCL::slpvpr(1)
  ctxt = format("FRAME%2.2d", i)
  DCL::sgtxv(0.5, 0.5, ctxt)
end

DCL::sgcls

